package com.ruoyi.ss.risk.mapper;

import java.time.LocalDateTime;
import java.util.List;
import com.ruoyi.ss.risk.domain.Risk;
import com.ruoyi.ss.risk.domain.RiskVO;
import com.ruoyi.ss.risk.domain.RiskQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 风控Mapper接口
 *
 * @author ruoyi
 * @date 2024-10-18
 */
public interface RiskMapper
{
    /**
     * 查询风控
     *
     * @param riskId 风控主键
     * @return 风控
     */
    public RiskVO selectRiskByRiskId(Long riskId);

    /**
     * 查询风控列表
     *
     * @param query 风控
     * @return 风控集合
     */
    public List<RiskVO> selectRiskList(@Param("query")RiskQuery query);

    /**
     * 新增风控
     *
     * @param risk 风控
     * @return 结果
     */
    public int insertRisk(Risk risk);

    /**
     * 修改风控
     *
     * @param risk 风控
     * @return 结果
     */
    public int updateRisk(@Param("data") Risk risk);

    /**
     * 删除风控
     *
     * @param riskId 风控主键
     * @return 结果
     */
    public int deleteRiskByRiskId(Long riskId);

    /**
     * 批量删除风控
     *
     * @param riskIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRiskByRiskIds(Long[] riskIds);

    /**
     * 批量修改结束时间
     * @param riskIds ID列表
     * @return
     */
    int batchSetRealName(@Param("riskIds") List<Long> riskIds,
                         @Param("realNameId") Long realNameId);
}
